### Method

# AppStream Component get_launchable

since: 0.11.0

#### Declaration [src]

    AsLaunchable*
    as_component_get_launchable (
      AsComponent* cpt,
      AsLaunchableKind kind
    )

#### Description [src]

Gets a `AsLaunchable` of a specific type that contains launchable entries for this component.

Available since: 0.11.0

#### Parameters

`kind`

  Type: `AsLaunchableKind`

  A launch kind, e.g. `AS_LAUNCHABLE_KIND_DESKTOP_ID`.

#### Return value

Type: `AsLaunchable`

A `AsLaunchable` or `NULL` if not found.

The data is owned by the instance.
The return value can be `NULL`.